[INCLUDE: common/no_popup_lights.ini]

[EXTRA_FX]
MASK_GBUFFER = EXT_GlassLights, EXT_Glass
SKIP_GBUFFER = INT_Transparent, INT_Emissive

[WIPERS_TRACE_...]
SURFACE= EXT_Glass, INT_Window
WIPERS = Wiper_Blade_L, Wiper_Blade_R


[BASIC]
IS_LOW_BEAM_AVAILABLE = 1

[DATA]
DISABLE_LIGHTSINI = 0

[BOUNCED_BRAKE_LIGHTS]
ACTIVE=1
FADE_AT=200
FADE_SMOOTH=50
FALLOFF=0.7
GRADIENT_OFFSET=0.8
MULT=1, 1, 1, 1
OFFSET=7

[BOUNCED_HEADLIGHTS]
ACTIVE=1
FADE_AT=200
FADE_SMOOTH=50
FALLOFF=0.7
GRADIENT_OFFSET=0.8
MULT=1, 1, 1, 1
OFFSET=7

[BOUNCED_INTERIOR_LIGHT]
ACTIVE=1
DIRECTION=0, 1, -2
MULT=1, 1, 1, 1
OFFSET=0, -1, 3
RANGE=3.2
RANGE_GRADIENT_OFFSET=0.9
SPOT=20
SPOT_SHARPNESS=0.9

; custom emissive stuff
[INCLUDE: common/custom_emissive.ini]

[CustomEmissive]
Meshes=EXT_BlinkersGlow
@=CustomEmissive_Color, Channel=3, Mirror, Color="1, 0.5, 0", Threshold="0.5, 5"
@=TurningLightsFront, Channel = 3, Intensity = 1.5, Lag = 0.3

[CustomEmissive]
Meshes=EXT_BlinkersGlow_R
@=CustomEmissive_Color, Channel=3, Mirror, Color="1, 0.5, 0", Threshold="0.5, 5"
@=TurningLightsRear, Channel = 3, Intensity = 1.5, Lag = 0.3

[CustomEmissiveMulti]
Meshes=INT_IND_TURN
Resolution=512,512
PROP_...=emAlphaFromDiffuse,1
@ = DashHighlight
@ = MultiItem, Role = TURNSIGNAL_LEFT,  Color="0,50,0", Start = "194.6, 256.4", Size = "23.8, 27.9"
@ = MultiItem, Role = TURNSIGNAL_RIGHT,  Color="0,50,0", Start = "195.1, 229.7", Size = "22.5, 25.5"

[CustomEmissive]
Meshes = INT_GaugesEmissive
Intensity = 3
Debug = 0
@ = CustomEmissive_Rect, Channel = 0, Start = "195.3, 229.7", Size = "22.1, 25.3"
@ = CustomEmissive_UseDiffuseLuminocity, SkipDiffuseMap = 0
@ = Headlights

[EMISSIVE_...]   
NAME=Highbeam
COLOR=135,220,350,0.2
LAG=0.3
LOCATION=FRONT
BIND_TO = HIGHBEAM

[EMISSIVE_...]
NAME=EXT_TLGlow1
COLOR=150,0,0
LOCATION=REAR
BIND_TO=BRAKE
LAG=0.3

[EMISSIVE_...]
NAME=EXT_TLGlow2
COLOR=50,0,0
LOCATION=REAR
BIND_TO=LIGHT
LAG=0.2

[EMISSIVE_...]
NAME=EXT_HLGlow1
COLOR=700,700,1000
LOCATION=FRONT
BIND_TO=LIGHT
LAG=0.2

[EMISSIVE_...]
NAME=EXT_ReverseGlow
LAG=0.2
BIND_TO=REVERSE
COLOR=20,20,20,5

[INCLUDE: common/materials_carpaint.ini]
CarPaintMaterial=WCCARBODY

[Material_CarPaint_Metallic]
ClearCoatThickness=0.02
FlakesK=0.25

[SHADER_REPLACEMENT_...]
MATERIALS=WCCARBODY
DOUBLE_FACE_SHADOW_BIASED=1

[INCLUDE: common/materials_glass.ini]
[Material_Glass]
Materials=WCWINDOW
FilmIOR=1.5

[Material_Glass]
Materials=S2000_LIGHTS_GLASS
FilmIOR=2.2
ExtraLightAdjusment=0.2

[INCLUDE: common/materials_interior.ini]
[Material_Leather]
Materials=S2000_INTERIOR_LEATHER_BLACK, ISM_MOMO_MONTE_CARLO_LEATHER
Brightness=0.8

[Material_Plastic]
Materials=S2000_INTERIOR_PLASTIC_BLACK
Brightness=0.8

[Material_Leather]
Materials=redint,S2000_INTERIOR_LEATHER_COLOR_1_BLACK
Brightness=0.8
ColorSource=DIFFUSE
OcclusionMult=1.2

[Material_Carpet_v2]
Materials=S2000_INTERIOR_CARPET_BLACK, S2000_INTERIOR_CARPET_JUCED_BLACK

[Material_Metal_v2]
Materials=S2000_INTERIOR_CHROME, ISM_MOMO_MONTE_CARLO_DARK_METAL
CubemapReflectionBlur=0.5
DetailScale=0
Brightness=0.7

[Material_Plastic]
Materials=S2000_INTERIOR_PLASTIC_GREY
Brightness=10
ColorSource=DIFFUSE

[DI_DRIVEN_TOTAL_...]
DIGITAL_ITEM=1
DIGITAL_ITEM_NUMBER_FORMAT=06.0
UPPER_BOUND=999999

[DI_DRIVEN_SESSION_...]
DIGITAL_ITEM=2
DIGITAL_ITEM_NUMBER_FORMAT=05.1
UPPER_BOUND=999.9

[ANALOG_INDICATOR_...]
INPUT = RPM
INPUT_MAX = 9300
NAME = INT_RPM
ZERO = 1
LUT=(0000=0|1000=7|9000=102)

[INCLUDE: common/selflighting.ini]


[SelfLight_Headlights]
POSITION=0, 0.42, 1.68
SPOT=90
DIRECTION==0.2,0,1
RANGE_GRADIENT_OFFSET=0
RANGE=0.3
MIRROR=0.57
COLOR=1,1,1,200
BOUND_TO = EXT_HLGlow1

[SelfLight_Headlights]
POSITION=0, 0.41, 1.67
MIRROR=0.45
DIRECTION=0.5,-0.2,1
RANGE=0.3
SPOT=120
COLOR=1,1,1,200
BOUND_TO = Highbeam

[LIGHT_EXTRA_...]
POSITION=-0.37, 0.7, 0.35
EXTERIOR_ONLY=0
INTERIOR_ONLY=0
COLOR=5,2,1,2
RANGE=0.35
SPOT=120
DIRECTION=0,-0.3,-1
BIND_TO_HEADLIGHTS=1

[LIGHT_HEADLIGHT_0]
AFFECTS_TRACK=1
BOUND_EMISSIVE_MAX=500
BOUND_EXP=1
COLOR=1, 1.3, 1.5, 10
DIFFUSE_CONCENTRATION=0.88
DIRECTION=0, -0.2, 1
EXTERIOR_ONLY=0
FADE_AT=450
FADE_SMOOTH=50
INTERIOR_ONLY=0
LAG=0.5
LOWBEAM_RANGE_MAX=30
LOWBEAM_RANGE_MULT=0.8
LOWBEAM_RANGE_ONCOMING_MULT=0.4
MIRROR=0.57
MIRROR_DIRECTION=0
POPUP_ENABLED=0
POSITION=0, 0.42, 1.8
RANGE=110
RANGE_GRADIENT_OFFSET=0
SINGLE_FREQUENCY=0
SPECULAR_MULT=1
SPOT=60
SPOT_EDGE=0.02088, 0.01992, 0.018
SPOT_EDGE_SHARPNESS=50
SPOT_SHARPNESS=0
SPOT_UP=0.0499376, 0.998752, 0

[LIGHT_REVERSE_0]
COLOR=0.5, 0.69, 1, 4
MIRROR=0.425
SPOT=140

[LIGHT_TURNSIGNAL_LEFT_0]
DIRECTION=0.5, 0, 0.76
OFF_POSITION=0.68, 0.45, 1.68
POSITION=0.68, 0.45, 1.68
EXTERIOR_ONLY=0

[LIGHT_TURNSIGNAL_RIGHT_0]
DIRECTION=-0.5, 0, 0.76
OFF_POSITION=-0.68, 0.45, 1.68
POSITION=-0.68, 0.45, 1.68
EXTERIOR_ONLY=0